Bug 198414 - lang/mono: cannot build mono after the recent update
Summary: lang/mono: cannot build mono after the recent update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: freebsd-mono (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-08 12:03 UTC by Ting-Wei Lan
Modified: 2015-03-10 12:59 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (mono)


Attachments
mono 3.12.1 build log on FreeBSD 10.1 amd64 (562.21 KB, text/plain)
2015-03-08 12:03 UTC, Ting-Wei Lan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ting-Wei Lan 2015-03-08 12:03:46 UTC
Created attachment 154008 [details]
mono 3.12.1 build log on FreeBSD 10.1 amd64

The recent mono 3.12.1 update doesn't work on FreeBSD 10.1.

Please see the build log.
Comment 2 Romain Tartière freebsd_committer 2015-03-09 13:50:34 UTC
Looks like a timezone problem (sic). Setting the TZ environment variable seems to fix the build.
Comment 3 commit-hook freebsd_committer 2015-03-09 14:10:03 UTC
A commit references this bug:

Author: romain
Date: Mon Mar  9 14:09:55 UTC 2015
New revision: 380847
URL: https://svnweb.freebsd.org/changeset/ports/380847

Log:
  Fix build when no TimeZone is configured.

  PR:		ports/198414
  Submitted by:	Ting-Wei Lan <lantw44@gmail.com>

Changes:
  head/lang/mono/Makefile
Comment 4 Romain Tartière freebsd_committer 2015-03-09 14:11:34 UTC
Fixed thanks!
Comment 6 Romain Tartière freebsd_committer 2015-03-10 12:59:22 UTC
r380911 will hopefully fix this.

Thanks!
Comment 7 commit-hook freebsd_committer 2015-03-10 12:59:25 UTC
A commit references this bug:

Author: romain
Date: Tue Mar 10 12:58:44 UTC 2015
New revision: 380911
URL: https://svnweb.freebsd.org/changeset/ports/380911

Log:
  Set an arbitrary time-zone.

  mdoc(1) will fail if no time-zone information is available, so provide one.

  PR:		ports/198414
  Reported by:	antoine

Changes:
  head/Mk/Uses/mono.mk